This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 990057 - Dist-geo-rep : 'gluster volume geo <master_vol> <slave_ip>::<slave_vol> delete' command deletes all session having that slave_vol name ; even though those session are created using different slave_ip from the same salve cluster
Dist-geo-rep : 'gluster volume geo <master_vol> <slave_ip>::<slave_vol> delet...
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
2.1
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Avra Sengupta
amainkar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 06:09 EDT by Rachana Patel
Modified: 2015-04-20 07:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:05:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rachana Patel 2013-07-30 06:09:59 EDT
Description of problem:
Dist-geo-rep : 'gluster volume geo <master_vol> <slave_ip>::<slave_vol> delete' command deletes all session having that slave_vol name ; even though those session are created using different slave_ip from the same salve cluster

Version-Release number of selected component (if applicable):
always

How reproducible:
3.4.0.13rhs-1.el6rhs.x86_64

Steps to Reproduce:
1. slave cluster has 4 servers.
rhsauto018
rhsauto031
rhsauto026
rhsauto027

2. create session using rhsauto031

gluster volume geo test5  rhsauto031.lab.eng.blr.redhat.com::slave5 status
NODE                           MASTER   SLAVE                                        HEALTH         UPTIME       
-----------------------------------------------------------------------------------------------------------------
DVM4.lab.eng.blr.redhat.com    test5    rhsauto031.lab.eng.blr.redhat.com::slave5    Not Started    N/A          
DVM3.lab.eng.blr.redhat.com    test5    rhsauto031.lab.eng.blr.redhat.com::slave5    Not Started    N/A          
DVM5.lab.eng.blr.redhat.com    test5    rhsauto031.lab.eng.blr.redhat.com::slave5    Not Started    N/A          
DVM6.lab.eng.blr.redhat.com    test5    rhsauto031.lab.eng.blr.redhat.com::slave5    Not Started    N/A          
DVM1.lab.eng.blr.redhat.com    test5    rhsauto031.lab.eng.blr.redhat.com::slave5    Not Started    N/A          
DVM2.lab.eng.blr.redhat.com    test5    rhsauto031.lab.eng.blr.redhat.com::slave5    Not Started    N/A 

3. now create session using another IP from slave cluster but volume name should be same and start that session
[root@DVM4 geo-replication]#  gluster volume geo test5  rhsauto018.lab.eng.blr.redhat.com::slave5 status
NODE                           MASTER   SLAVE                                        HEALTH    UPTIME       
------------------------------------------------------------------------------------------------------------
DVM4.lab.eng.blr.redhat.com    test5    rhsauto018.lab.eng.blr.redhat.com::slave5    faulty    N/A          
DVM2.lab.eng.blr.redhat.com    test5    rhsauto018.lab.eng.blr.redhat.com::slave5    faulty    N/A          
DVM3.lab.eng.blr.redhat.com    test5    rhsauto018.lab.eng.blr.redhat.com::slave5    faulty    N/A          
DVM6.lab.eng.blr.redhat.com    test5    rhsauto018.lab.eng.blr.redhat.com::slave5    faulty    N/A          
DVM5.lab.eng.blr.redhat.com    test5    rhsauto018.lab.eng.blr.redhat.com::slave5    faulty    N/A          
DVM1.lab.eng.blr.redhat.com    test5    rhsauto018.lab.eng.blr.redhat.com::slave5    faulty    N/A    

4. delete the session created in step 2 and verify that it has also deleted session created in step 3

[root@DVM4 geo-replication]#  gluster volume geo test5  rhsauto031.lab.eng.blr.redhat.com::slave5 delete
Deleting geo-replication session between test5 & rhsauto031.lab.eng.blr.redhat.com::slave5 has been successful

[root@DVM4 geo-replication]# gluster volume geo test5 status
No active geo-replication sessions for test5


Actual results:
deleting all sessions having that slave volume name

Expected results:
should not delete all session

Additional info:
Comment 2 Amar Tumballi 2013-08-01 06:05:15 EDT
The geo-replication in the new code works with cluster-id, and not exactly on the 'IP/hostname' of the slave node. 'IP/hostname' of the slave is required just to fetch the information of the remote cluster, and afterwords the housekeeping all happens on cluster-id (an uuid).

If the IP address is changed, but the slave cluster is same, as per geo-replication, its still the same session, and hence it deletes both the sessions.

Note You need to log in before you can comment on or make changes to this bug.